NNotifyy CRM

Objects

List appointments

List appointments with cursor pagination and optional properties, associations, and search filters.

Overview

Use this endpoint to read appointments in pages. Default appointment properties include name, appointment_start_ts, appointment_end_ts, pipeline, and stage. It requires public api oauth access token authentication and the crm.appointments.read scope.

GET/api/crm/objects/appointments

cURL

GET
bash
curl --request GET \  --url 'https://crm.notifyy.io/api/crm/objects/appointments?properties=name%2Cappointment_start_ts%2Cappointment_end_ts%2Cpipeline%2Cstage&associations=contact&search=demo&limit=25' \  --header 'Authorization: Bearer nfy_public_api_access_token'

Authorization

Public API OAuth access token

crm.appointments.read

Sample Request Body

This endpoint does not require a request body.

Sample Response

json
{  "success": true,  "message": "Appointments retrieved successfully",  "data": {    "appointments": [      {        "id": 55,        "properties": {          "name": "Demo call",          "appointment_start_ts": "2026-08-01T10:00:00Z",          "appointment_end_ts": "2026-08-01T10:30:00Z",          "pipeline": "default_pipeline",          "stage": "scheduled"        },        "associations": {          "contact": [            {              "id": "456",              "type": "appointment_to_contact"            }          ]        }      }    ],    "pagination": {      "nextCursor": "opaque-cursor",      "hasMore": true    }  }}

Status Codes

CodeDescription
200Appointments were returned.

Headers

AuthorizationstringRequired

Public API OAuth bearer token.

Example: Bearer nfy_public_api_access_token

Query parameters

propertiesstringOptional

Comma-separated property internal names to return.

Example: name,appointment_start_ts,appointment_end_ts,pipeline,stage

associationsstringOptional

Comma-separated associated object types to include.

Example: contact

searchstringOptional

Search string forwarded to the CRM appointment query service.

Example: demo

cursorstringOptional

Opaque cursor returned by a previous list response.

limitintegerOptional

Page size. Defaults to 50 and the maximum is 100.

Example: 25

Response fields

data.appointmentsobject[]

List of matching appointments.